Retrieve AI Agents in a Project
/ic/api/integration/v1/projects/{projectId}/ai/agents
Request
-
projectId(required): string
Project identifier
-
integrationInstance(required): string
This is the name of the service instance. You can get this value from the About page where it is specified in the Service instance field.
-
limit: integer(int32)
Use with the offset parameter for paginating through the returned results. The limit is the maximum number of items to return at one time. For example, offset=3&limit=16 indicates to list AI Agents starting at the 4th item, and the list will contain 16 items.
-
offset: integer(int32)
Use with the limit parameter for paginating through the returned results. The offset is the starting point from which to return records. For example, offset=3&limit=16 indicates to list AI Agents starting at the 4th item, and the list will contain 16 items.
-
orderBy: string
Lists AI Agents ordered by name, last updated time.
Valid values:
- name: Order AI Agents by name. Example: orderBy=name.
- time: Order AI Agent by the last updated time. Example: orderBy=time.
-
q: string
Filters AI Agents by name and status.
Valid parameters:
- name: Name of the AI Agent. For example:
- To retrieve all AI Agents that contain the specified string in the name, specify:
q={name: /ORDER/}
- To retrieve all AI Agents that contain the specified string in the name, specify:
- status: Status of AI Agent. Valid statuses are INPROGRESS, CONFIGURED, ACTIVATION_INPROGRESS, ACTIVATED, and FAILEDACTIVATION.
For example, to retrieve all AI Agents that contain ORDER and have the status ACTIVATED, specify:
{name : /ORDER/, status : 'ACTIVATED'}
- name: Name of the AI Agent. For example:
There's no request body for this operation.
Back to TopResponse
- application/json;charset=utf-8, application/vnd.oracle.model+json;type=collection
200 Response
object-
hasMore: boolean
Flag to Check if More Records Exists
-
items: array
items
List of Agents
-
limit: integer
(int32)
Limit of Records to be Displayed
-
totalResults: integer
(int32)
Total Results
object-
code: string
AI Agent code
-
created: string
(date-time)
Created
-
createdBy: string
Created By
-
description: string
AI Agent description
-
lastUpdated: string
(date-time)
Last Updated
-
lastUpdatedBy: string
Last Updated By
-
name: string
AI Agent name
-
projectId: string
Project id which agent is part of
-
status: string
AI Agent Status
-
version: string
AI Agent version
400 Response
500 Response
Examples
The following example shows how to retrieve all AI Agents defined in a project by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL. For more information about endpoint URL structure, see Send Requests.
Example: Retrieve AI agents in project TEST_PROJECT
This command retrieves all AI Agents defined in the specified project.
curl -X GET -H 'Authorization: Bearer access_token' https://design.integration.region.ocp.oraclecloud.com/ic/api/integration/v1/projects/TEST_PROJECT/ai/agents?integrationInstance=service-instance
Example: Retrieve active AI agents in a project
This command retrieves AI Agents in the specified project whose name contains
ORDER and whose status is ACTIVATED. The
results are sorted by name and limited to 10 records.
curl -X GET -H 'Authorization: Bearer access_token' https://design.integration.region.ocp.oraclecloud.com/ic/api/integration/v1/projects/TEST_PROJECT/ai/agents?q={name:/ORDER/,status:'ACTIVATED'}&orderBy=name&offset=0&limit=10&integrationInstance=service-instance